#ifndef CHIP_STM32H7XX_REGS_IWDG_H_
#define CHIP_STM32H7XX_REGS_IWDG_H_

#include "chip_devtype_spec_features.h"

#define CHIP_SUPPORT_IWDG_WINDOW        1

#include "stm32_iwdg_regs.h"

#define CHIP_REGS_IWDG1          ((CHIP_REGS_IWDG_T *) CHIP_MEMRGN_ADDR_PERIPH_IWDG1)
#if CHIP_DEV_SUPPORT_CORE_CM4
#define CHIP_REGS_IWDG2          ((CHIP_REGS_IWDG_T *) CHIP_MEMRGN_ADDR_PERIPH_IWDG2)
#endif

#if CHIP_DEV_SUPPORT_CORE_CM4 && defined CHIP_CORETYPE_CM4
    #define CHIP_REGS_IWDG  CHIP_REGS_IWDG2
#else
    #define CHIP_REGS_IWDG  CHIP_REGS_IWDG1
#endif


#endif // CHIP_STM32H7XX_REGS_IWDG_H_
